package com.ruoyi.nanjing.domain;

import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 机种切换管理对象 T_RP_ProductChangeInfo
 * 
 * @author limy
 * @date 2021-01-22
 */
public class TRpProductchangeinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long ID;

    /** 机种型号 */
    @Excel(name = "机种型号")
    private Long ProductId;

    /** 生产负责人 */
    @Excel(name = "生产负责人")
    private String PersonInCharge;

    /** 开始时间 */
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date BeginTime;

    /** 结束时间 */
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date EndTime;

    public TBdProductinfo gettBdProductinfo() {
        return tBdProductinfo;
    }

    public void settBdProductinfo(TBdProductinfo tBdProductinfo) {
        this.tBdProductinfo = tBdProductinfo;
    }

    private TBdProductinfo tBdProductinfo;

    /** 操作员 */
    private String Operator;

    /** 插入时间 */
    private Date InsertTime;

    public void setID(Long ID) 
    {
        this.ID = ID;
    }

    public Long getID() 
    {
        return ID;
    }
    public void setProductId(Long ProductId) 
    {
        this.ProductId = ProductId;
    }

    public Long getProductId() 
    {
        return ProductId;
    }
    public void setPersonInCharge(String PersonInCharge) 
    {
        this.PersonInCharge = PersonInCharge;
    }

    public String getPersonInCharge() 
    {
        return PersonInCharge;
    }
    public void setBeginTime(Date BeginTime) 
    {
        this.BeginTime = BeginTime;
    }

    public Date getBeginTime() 
    {
        return BeginTime;
    }
    public void setEndTime(Date EndTime) 
    {
        this.EndTime = EndTime;
    }

    public Date getEndTime() 
    {
        return EndTime;
    }
    public void setOperator(String Operator) 
    {
        this.Operator = Operator;
    }

    public String getOperator() 
    {
        return Operator;
    }
    public void setInsertTime(Date InsertTime) 
    {
        this.InsertTime = InsertTime;
    }

    public Date getInsertTime() 
    {
        return InsertTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("ProductId", getProductId())
            .append("PersonInCharge", getPersonInCharge())
            .append("BeginTime", getBeginTime())
            .append("EndTime", getEndTime())
            .append("Operator", getOperator())
            .append("InsertTime", getInsertTime())
            .toString();
    }
}
